at.chipkarte.client.elgaad.soap

## Class AbgabeVerordnungAenderung

- Object
- - at.chipkarte.client.elgaad.soap.AbgabeVerordnungAenderung

-     public class AbgabeVerordnungAenderung
      extends Object

  Änderungsdaten einer Abgabe oder Verordnung.
  Das Objekt wird in den Funktionen zum Abgabe- und Verordnungändern, nur als Eingangsparameter, verwendet. Die Bedingungen für die Angabe sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbgabeVerordnungAenderung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlternativeEinnahme()` Informationen zur alternativen Einnahme (zum Beispiel: Einnahme bei Bedarf).
    `Code` | `getAnwendungsart()` Anwendungsart.
    `Dosierung` | `getDosierung()` Dosierung der Abgabe.
    `Einnahmedauer` | `getEinnahmedauer()` Dauer der Einnahme.
    `String` | `getEinnahmeende()` Endzeitpunkt der Einnahme.
    `String` | `getEinnahmestart()` Startzeitpunkt der Einnahme.
    `String` | `getReferenzVerordnungAbgabeId()` Id der zu ändernden Abgabe oder Verordnung.
    `boolean` | `getStorniert()` Gibt an ob es sich bei der Änderung einer Verordnung um eine Stornierung handelt oder bei Änderung einer Abgabe um eine Absetzung.
    `Code` | `getTherapieart()` Therapieart.
    `String` | `getValidierungsId()` ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
    `String` | `getZusatzinformationPatient()` Zusatzinformationen für den Patienten.
    `void` | `setAlternativeEinnahme(String alternativeEinnahme)`
    `void` | `setAnwendungsart(Code anwendungsart)`
    `void` | `setDosierung(Dosierung dosierung)`
    `void` | `setEinnahmedauer(Einnahmedauer einnahmedauer)`
    `void` | `setEinnahmeende(String einnahmeende)`
    `void` | `setEinnahmestart(String einnahmestart)`
    `void` | `setReferenzVerordnungAbgabeId(String referenzVerordnungAbgabeId)`
    `void` | `setStorniert(boolean storniert)`
    `void` | `setTherapieart(Code therapieart)`
    `void` | `setValidierungsId(String validierungsId)`
    `void` | `setZusatzinformationPatient(String zusatzinformationPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbgabeVerordnungAenderung

          public AbgabeVerordnungAenderung()

  - ### Method Detail

    - #### getReferenzVerordnungAbgabeId

          public String getReferenzVerordnungAbgabeId()

      Id der zu ändernden Abgabe oder Verordnung.
      Eingabebedingung:
      Änderung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Referenz-AbgabeId.

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId zur besseren Verknüpfbarkeit von Fehlermeldungen mit dem jeweiligen Eingangsparameter.
      Tritt bei der Validierung eines Eingangsparameters ein Fehler auf, so wird in der retournierten Meldung (innerhalb von `BackendMeldung`, `ElgaadExceptionContent` oder `ElgaadInvalidParameterExceptionContent`) auch die Validierungs-ID des direkt oder indirekt enthaltenden Objekts angeführt (sofern vorhanden). Die Versorgung selbst, also auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH.
      Eingabebedingung:
      Änderung: Kann.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        ValidierungsId.

    - #### getEinnahmestart

          public String getEinnahmestart()

      Startzeitpunkt der Einnahme.
      Eingabebedingung:
      Änderung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmestart.

    - #### getEinnahmeende

          public String getEinnahmeende()

      Endzeitpunkt der Einnahme.
      Eingabebedingung:
      Änderung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Einnahmeende.

    - #### getEinnahmedauer

          public Einnahmedauer getEinnahmedauer()

      Dauer der Einnahme. Siehe `Einnahmedauer`.
      Eingabebedingung:
      Änderung: Bedingt. Darf nur angegeben werden, wenn weder Einnahmestart noch Einnahmeende angegeben wurden.
      Returns:
        Einnahmeende.

    - #### getDosierung

          public Dosierung getDosierung()

      Dosierung der Abgabe. Siehe `Dosierung`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Dosierung.

    - #### getAnwendungsart

          public Code getAnwendungsart()

      Anwendungsart. Siehe `Code`.
      Eingabebedingung:
      Änderung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationArtAnwendung_VS (z.B. Code 100000073564)
      Returns:
        Anwendungsart.

    - #### getTherapieart

          public Code getTherapieart()

      Therapieart. Siehe `Code`.
      Eingabebedingung:
      Änderung: Kann. Darf nur bei Änderung einer Verordnung angegeben werden.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationTherapieArt_VS (z.B. Code EINZEL)
      Returns:
        Therapieart.

    - #### getZusatzinformationPatient

          public String getZusatzinformationPatient()

      Zusatzinformationen für den Patienten.
      Eingabebedingung:
      Änderung: Kann.
      Format: alphanumerisch.
      Returns:
        ZusatzinformationPatient.

    - #### getAlternativeEinnahme

          public String getAlternativeEinnahme()

      Informationen zur alternativen Einnahme (zum Beispiel: Einnahme bei Bedarf).
      Eingabebedingung:
      Änderung: Kann.
      Format: alphanumerisch.
      Returns:
        Alternative Einnahmeinformationen.

    - #### getStorniert

          public boolean getStorniert()

      Gibt an ob es sich bei der Änderung einer Verordnung um eine Stornierung handelt oder bei Änderung einer Abgabe um eine Absetzung.
      Die Angabe von true in Zusammenhang mit der ID einer Verordnung als ReferenzVerordnungAbgabeId im Objekt hat ein Storno dieser Verordnung zur Folge - siehe auch `Status der Verordnung`.
      Die Angabe von true in Zusammenhang mit der ID einer Abgabe als ReferenzVerordnungAbgabeId im Objekt hat ein Absetzen dieser Abgabe zur Folge - siehe auch `Status der Abgabe`.
      Die Angabe von false entspricht einer normalen Änderung der jeweiligen Abgabe oder Verordnung.
      Eingabebedingung:
      Änderung: Muss.
      Format: boolean.
      Returns:
        Storniert.

    - #### setReferenzVerordnungAbgabeId

          public void setReferenzVerordnungAbgabeId(String referenzVerordnungAbgabeId)

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)

    - #### setEinnahmestart

          public void setEinnahmestart(String einnahmestart)

    - #### setEinnahmeende

          public void setEinnahmeende(String einnahmeende)

    - #### setEinnahmedauer

          public void setEinnahmedauer(Einnahmedauer einnahmedauer)

    - #### setDosierung

          public void setDosierung(Dosierung dosierung)

    - #### setAnwendungsart

          public void setAnwendungsart(Code anwendungsart)

    - #### setTherapieart

          public void setTherapieart(Code therapieart)

    - #### setZusatzinformationPatient

          public void setZusatzinformationPatient(String zusatzinformationPatient)

    - #### setAlternativeEinnahme

          public void setAlternativeEinnahme(String alternativeEinnahme)

    - #### setStorniert

          public void setStorniert(boolean storniert)